import sys, re, codecs

def tyo_on_encode():
    g = codecs.open("encode_temp.txt","r", "utf-8")
    texts=g.readlines()
    g.close()

    g = codecs.open("encode_temp.txt","w", "utf-8")
    g.write("")
    g.close()

    g = codecs.open("encode_temp.txt","a", "utf-8")
    for n in texts:
        co_text = re.sub('[˗֊‐‑‒–⁃⁻₋−﹣－ｰ—―─━ー]+', 'ー', n)

        g.write(co_text)

    g.close()

if __name__=="__main__":
    tyo_on_encode()
